summaryrefslogtreecommitdiffstats
path: root/etc/rc.subr
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.subr')
-rw-r--r--etc/rc.subr8
1 files changed, 7 insertions, 1 deletions
diff --git a/etc/rc.subr b/etc/rc.subr
index c373484..6cb7db5 100644
--- a/etc/rc.subr
+++ b/etc/rc.subr
@@ -708,7 +708,13 @@ run_rc_command()
# setup the full command to run
#
- [ -z "${rc_quiet}" ] && echo "Starting ${name}."
+ _show_startmsgs=1
+ if [ -n "${rc_quiet}" ]; then
+ if ! checkyesno rc_startmsgs; then
+ unset _show_startmsgs
+ fi
+ fi
+ [ -n "$_show_startmsgs" ] && echo "Starting ${name}."
if [ -n "$_chroot" ]; then
_doit="\
${_nice:+nice -n $_nice }\
OpenPOWER on IntegriCloud